Get Form Schema

Get information about a given form.

Required scope | forms:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

form_idstringRequiredformat: "objectid"
Unique identifier for a Form

Response

Request was successful
displayNamestring
The Form name displayed on the site
createdOnstringformat: "date-time"
Date that the Form was created on
lastUpdatedstringformat: "date-time"
Date that the Form was last updated on
fieldsmap from strings to objects
A collection of form field objects
responseSettingsobject
Settings for form responses
idstringformat: "objectid"
The unique ID for the Form
siteIdstringformat: "objectid"
The unique ID of the Site the Form belongs to
siteDomainIdstringformat: "objectid"
The unique ID corresponding to the site's Domain name
pageIdstringformat: "objectid"
The unique ID for the Page on which the Form is placed
pageNamestring

The user-visible name of the Page where the Form is placed

formElementIdstring or null
The unique ID of the Form element
workspaceIdstringformat: "objectid"
The unique ID of the Workspace the Site belongs to

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error